---
title: HTMLObjectElement.name
slug: Web/API/HTMLObjectElement/name
tags:
  - API
  - HTML DOM
  - HTMLObjectElement
  - NeedsExample
  - Property
  - Reference
  - name
---
<div>{{APIRef("HTML DOM")}}</div>

<p class="summary">The <strong><code>name</code></strong> property of the {{domxref("HTMLObjectElement")}} interface returns a {{domxref("DOMString")}} that reflects the {{htmlattrxref("name", "object")}} HTML attribute, specifying the name of the browsing context.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var String = HTMLObjectElement.name;
HTMLObjectElement.name = String;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref('DOMString')}}.</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('HTML WHATWG','#dom-object-name','name')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLObjectElement.name")}}</p>
